sync
Sync local labeled cases into web storage
Requires scopes: eval:write
POST
/
api
/
sync
/
labeled-cases
Sync local labeled cases into web storage
curl --request POST \
--url https://evalgate.com/api/sync/labeled-cases \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"evaluationId": 123,
"cases": [
{
"input": "<string>",
"expectedOutput": "<string>",
"failureMode": "<string>",
"expected": "<string>",
"label": "pass",
"promptId": "<string>",
"actualOutput": "<string>",
"labeledAt": "<string>",
"externalRunId": "<string>",
"caseId": "<string>",
"actual": "<string>"
}
]
}
'import requests
url = "https://evalgate.com/api/sync/labeled-cases"
payload = {
"evaluationId": 123,
"cases": [
{
"input": "<string>",
"expectedOutput": "<string>",
"failureMode": "<string>",
"expected": "<string>",
"label": "pass",
"promptId": "<string>",
"actualOutput": "<string>",
"labeledAt": "<string>",
"externalRunId": "<string>",
"caseId": "<string>",
"actual": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
evaluationId: 123,
cases: [
{
input: '<string>',
expectedOutput: '<string>',
failureMode: '<string>',
expected: '<string>',
label: 'pass',
promptId: '<string>',
actualOutput: '<string>',
labeledAt: '<string>',
externalRunId: '<string>',
caseId: '<string>',
actual: '<string>'
}
]
})
};
fetch('https://evalgate.com/api/sync/labeled-cases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"inserted": 123,
"skipped": 123
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I
Sync local labeled cases into web storage
